# Class SSIConditionalState

java.lang.Object
org.apache.catalina.ssi.SSIConditionalState

public class SSIConditionalState extends Object
This class is used by SSIMediator and SSIConditional to keep track of state information necessary to process the nested conditional commands ( if, elif, else, endif ).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SSIConditionalState()`

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SSIConditionalState

    public SSIConditionalState()